# Uses of Enum Class
com.logicaldoc.core.runtime.Feature

Packages that use Feature
Package
Description
com.logicaldoc.core.runtime

## Uses of Feature in com.logicaldoc.core.runtime

Methods in com.logicaldoc.core.runtime that return Feature
Modifier and Type
Method
Description
`static Feature`
Feature.`fromKey(String key)`
Gets the right enumeration entry from the corresponding string
`static Feature`
Feature.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Feature[]`
Feature.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in com.logicaldoc.core.runtime with parameters of type Feature
Modifier
Constructor
Description
``
`FeatureDisabledException(Feature feature)`
``
`FeatureDisabledException(Feature feature, Throwable cause)`